All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
faiss::ReadOnlyInvertedLists Struct Reference
Inheritance diagram for faiss::ReadOnlyInvertedLists:

## Public Member Functions

| ReadOnlyInvertedLists (size_t nlist, size_t code_size)
size_t | add_entries (size_t list_no, size_t n_entry, const idx_t *ids, const uint8_t *code) override
void | update_entries (size_t list_no, size_t offset, size_t n_entry, const idx_t *ids, const uint8_t *code) override
void | resize (size_t list_no, size_t new_size) override
Public Member Functions inherited from faiss::InvertedLists
| InvertedLists (size_t nlist, size_t code_size)
virtual size_t | list_size (size_t list_no) const =0
| get the size of a list
virtual const uint8_t * | get_codes (size_t list_no) const =0
virtual const idx_t * | get_ids (size_t list_no) const =0
virtual void | release_codes (size_t list_no, const uint8_t *codes) const
| release codes returned by get_codes (default implementation is nop
virtual void | release_ids (size_t list_no, const idx_t *ids) const
| release ids returned by get_ids
virtual idx_t | get_single_id (size_t list_no, size_t offset) const
virtual const uint8_t * | get_single_code (size_t list_no, size_t offset) const
virtual void | prefetch_lists (const idx_t *list_nos, int nlist) const
virtual size_t | add_entry (size_t list_no, idx_t theid, const uint8_t *code)
| add one entry to an inverted list
virtual void | update_entry (size_t list_no, size_t offset, idx_t id, const uint8_t *code)
virtual void | reset ()
void | merge_from (InvertedLists *oivf, size_t add_id)
| move all entries from oivf (empty on output)
double | imbalance_factor () const
| 1= perfectly balanced, >1: imbalanced
void | print_stats () const
| display some stats about the inverted lists
size_t | compute_ntotal () const
| sum up list sizes

## Additional Inherited Members

Public Types inherited from faiss::InvertedLists
typedef Index::idx_t | idx_t
Public Attributes inherited from faiss::InvertedLists
size_t | nlist
| number of possible key values
size_t | code_size
| code size per vector in bytes

## Detailed Description

Definition at line 211 of file InvertedLists.h.

The documentation for this struct was generated from the following files:

- /data/users/hoss/faiss/InvertedLists.h
- /data/users/hoss/faiss/InvertedLists.cpp